=== debian/changelog ===
koffice (2.2.0-3) unstable; urgency=high

  * Took the latest snapshot from upstream again.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Mon, 2 Aug 2010 08:59:41 +0200
