## koffice 2.2.0-4

=== debian/changelog ===
koffice (2.2.0-4) unstable; urgency=high

  * Included some more headers.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Sun, 8 Aug 2010 08:59:41 +0200
